### Virtual Method

# Atk Image get_image_size

#### Declaration [src]

    void
    get_image_size (
      AtkImage* image,
      gint* width,
      gint* height
    )

#### Description [src]

Get the width and height in pixels for the specified image. The values of `width` and `height` are returned as -1 if the values cannot be obtained (for instance, if the object is not onscreen).

If the size can not be obtained (e.g. missing support), x and y are set to -1.

#### Parameters

`width`

  Type: `gint*`

  Filled with the image width, or -1 if the value cannot be obtained.

  The argument will be set by the function.
  The argument can be `NULL`.

`height`

  Type: `gint*`

  Filled with the image height, or -1 if the value cannot be obtained.

  The argument will be set by the function.
  The argument can be `NULL`.